File::Spec::Cygwin(3)

NAME
File::Spec::Cygwin - methods for Cygwin file specs

SYNOPSIS
 require File::Spec::Cygwin; # Done internally by File::Spec if needed

DESCRIPTION
See File::Spec and File::Spec::Unix. This package overrides the implementation of these methods, not the semantics.

This module is still in beta. Cygwin-knowledgeable folks are invited to offer patches and suggestions.

canonpath
    Any "\" (backslashes) are converted to "/" (forward slashes), and then File::Spec::Unix canonpath() is called on the result.

file_name_is_absolute
    True is returned if the file name begins with "drive_letter:", and if not, File::Spec::Unix file_name_is_absolute() is called.

tmpdir (override)
    Returns a string representation of the first existing directory from the following list:

        $ENV{TMPDIR}
        /tmp
        C:/temp

    Since Perl 5.8.0, if running under taint mode, and if the environment variables are tainted, they are not used.